<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Bankverbindungen\HandleAktualisiereStammBv;

class HandleAktualisiereStammBvController extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Bankverbindungen\HandleAktualisiereStammBv\HandleAktualisiereStammBvController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleAktualisiereStammBvUseCase(
      $this->getRequestObj()
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Bankverbindungen\BankverbindungenController($pUseCaseResponse->statusMsg);
  }
}